org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.List

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<CollectionAdminResponse>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminRequest.List>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.List

All Implemented Interfaces:
  Serializable

Enclosing class:
  CollectionAdminRequest<Q extends CollectionAdminRequest<Q>>

    public static class CollectionAdminRequest.List
    extends CollectionAdminRequest<CollectionAdminRequest.List>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionShardAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.CollectionSpecificAdminRequest<T extends CollectionAdminRequest<T>>, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.List, CollectionAdminRequest.Migrate, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.SplitShard`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`action`

### Constructor Summary

Constructors
Constructor and Description
`CollectionAdminRequest.List()`

### Method Summary

Methods
`protected CollectionAdminRequest.List` `getThis()`

### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

`addProperties, createResponse, getContentStreams, getParams, setAction`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionAdminRequest.List

    public CollectionAdminRequest.List()

### Method Detail

#### getThis

    protected CollectionAdminRequest.List getThis()

Specified by:
  `getThis` in class `CollectionAdminRequest<CollectionAdminRequest.List>`